<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Domain\Blog\Adapter;

use Sylius\Component\Core\Model\ChannelInterface;
use Sylius\Component\Core\Model\ImageInterface;

interface BlogConfigurationInterface
{
    public function isHeaderDisplayable(): bool;

    public function setHeaderDisplayable(bool $headerDisplayable): self;

    public function getTitle(): ?string;

    public function setTitle(?string $title): self;

    public function getDescription(): ?string;

    public function setDescription(?string $description): self;

    public function getBanner();

    public function setBanner(?ImageInterface $banner): self;

    public function getChannel(): ?ChannelInterface;

    public function setChannel(?ChannelInterface $channel): self;
}
